@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700;900&display=swap');
body {
    font-family: 'Roboto', sans-serif;
    background-color: #000;
    user-select: none;
    overflow: hidden;
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
}
#gameContainer {
    width: 100%;
    height: 100%;
    background-color: #b4b5fe;
    position: relative;
}
canvas {
    display: block;
}
textarea::-webkit-scrollbar { width: 8px; }
textarea::-webkit-scrollbar-track { background: #1f2937; }
textarea::-webkit-scrollbar-thumb { background: #4b5563; border-radius: 4px; }

.tool-btn.active {
    background-color: #4b5563 !important;
    box-shadow: inset 0 2px 4px rgba(0,0,0,0.6);
    border-color: #10b981;
}
